## ros-one-apriltag-ros 3.2.1-23jammy.20251023.0818

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23jammy.20251023.0818) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Thu, 23 Oct 2025 08:18:45 +0000

ros-one-apriltag-ros (3.2.1-0jammy) jammy; urgency=high

  * Fixed propagation of apriltag and Eigen headers and libraries (#124 <https://github.com/AprilRobotics/apriltag_ros/issues/124>)
  * Drop old C++11 as it breaks with new log4cxx.
  * Contributors: Jochen Sprickerhof, Remo Diethelm, Wolfgang Merkt

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-one-apriltag-ros (3.2.0-0jammy) jammy; urgency=high

  * Add transport hint option (#108 <https://github.com/AprilRobotics/apriltag_ros/issues/108>)
  * Move to using the apriltag CMake target (#104 <https://github.com/AprilRobotics/apriltag_ros/issues/104>)
  * Set the tag's parent frame to the camera optical frame (#101 <https://github.com/AprilRobotics/apriltag_ros/issues/101>)
  * Fix bug in K matrix in single_image_client (#103 <https://github.com/AprilRobotics/apriltag_ros/issues/103>)
  * Add configurable max_hamming_distance for the AprilTag Detector (#93 <https://github.com/AprilRobotics/apriltag_ros/issues/93>)
  * Introduce lazy processing for ContinuousDetector (#80 <https://github.com/AprilRobotics/apriltag_ros/issues/80>)
  * Contributors: Akshay Prasad, Amal Nanavati, Christian Rauch, Hongzhuo Liang, Wolfgang Merkt

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Thu, 10 Mar 2022 00:00:00 -0000

ros-one-apriltag-ros (3.1.2-0jammy) jammy; urgency=high

  * Add support for tagCircle21h7, tagCircle49h12 (#69 <https://github.com/AprilRobotics/apriltag_ros/issues/69>)
  * Add support for tagCustom48h12 (#65 <https://github.com/AprilRobotics/apriltag_ros/issues/65>)
  * Contributors: Anthony Biviano, Kyle Saltmarsh, Wolfgang Merkt, kai wu

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Wed, 15 Jul 2020 00:00:00 -0000

ros-one-apriltag-ros (3.1.1-0jammy) jammy; urgency=high

  * Add support for tagStandard41h12 and tagStandard52h13 (#63 <https://github.com/AprilRobotics/apriltag_ros/issues/63>, #59 <https://github.com/AprilRobotics/apriltag_ros/issues/59>).
  * Add gray image input support (#58 <https://github.com/AprilRobotics/apriltag_ros/issues/58>).
  * Contributors: Alexander Reimann, Moritz Zimmermann, Samuel Bachmann, Wolfgang Merkt

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Mon, 07 Oct 2019 00:00:00 -0000

ros-one-apriltag-ros (3.1.0-0jammy) jammy; urgency=high

  * Prepare for release (3.1) and fix catkin_lint errors
  * Upgrade to AprilTag 3, fix installation, and performance improvements (#43 <https://github.com/AprilRobotics/apriltag_ros/issues/43>)
    Upgrade to AprilTag 3, fix installation, and performance improvements
  * Rename package to apriltag_ros
    - Relates to https://github.com/AprilRobotics/apriltag_ros/issues/45
  * Contributors: Wolfgang Merkt

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Sat, 25 May 2019 00:00:00 -0000

ros-one-apriltag-ros (1.0.0-0jammy) jammy; urgency=high



 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Mon, 14 May 2018 00:00:00 -0000
