=== debian/control ===
Source: ros-one-apriltag-ros
Section: misc
Priority: optional
Maintainer: Danylo Malyuta <danylo.malyuta@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libopencv-dev, ros-one-apriltag, ros-one-catkin, ros-one-cmake-modules, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-message-generation, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf
Homepage: http://www.ros.org/wiki/apriltag_ros
Standards-Version: 3.9.2

Package: ros-one-apriltag-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libopencv-dev, ros-one-apriltag, ros-one-cv-bridge, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-message-runtime, ros-one-nodelet, ros-one-pluginlib, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf
Description: A ROS wrapper of the AprilTag 3 visual fiducial detection algorithm.
 Provides full access to the core AprilTag 3 algorithm's customizations and makes the tag detection image and detected tags' poses available over ROS topics (including tf). The core AprilTag 3 algorithm is extended to allow the detection of tag bundles and a bundle calibration script is provided (bundle detection is more accurate than single tag detection). Continuous (camera image stream) and single image detector nodes are available.
