## ros-one-apriltag-ros 3.2.1-23jammy.20251207.2118

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23jammy.20251207.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Sun, 07 Dec 2025 21:18:02 +0000
