## ros-one-apriltag-ros 3.2.1-23jammy.20260120.2117

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23jammy.20260120.2117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Tue, 20 Jan 2026 21:17:03 +0000
