## ros-one-apriltag-ros 3.2.1-23jammy.20260207.2209

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23jammy.20260207.2209) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Sat, 07 Feb 2026 22:09:21 +0000
