## ros-one-apriltag-ros 3.2.1-23jammy.20260301.2104

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23jammy.20260301.2104) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Sun, 01 Mar 2026 21:04:48 +0000
