## ros-one-apriltag-ros 3.2.1-23noble.20251208.0819

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23noble.20251208.0819) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Mon, 08 Dec 2025 08:19:23 +0000
