## ros-one-apriltag-ros 3.2.1-23noble.20260120.2114

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23noble.20260120.2114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Tue, 20 Jan 2026 21:14:20 +0000
