## ros-one-apriltag-ros 3.2.1-23noble.20260207.2207

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23noble.20260207.2207) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Sat, 07 Feb 2026 22:07:06 +0000
