## ros-one-apriltag-ros 3.2.1-23noble.20260302.0748

=== debian/changelog ===
ros-one-apriltag-ros (3.2.1-23noble.20260302.0748) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Danylo Malyuta <danylo.malyuta@gmail.com>  Mon, 02 Mar 2026 07:48:04 +0000
